package com.technology.huahai.web.controller.System;

import com.technology.huahai.common.core.controller.domain.AjaxResult;
import com.technology.huahai.web.vo.LoginResultVo;
import com.technology.huahai.web.vo.LoginVo;
import com.technology.huahai.web.service.SystemLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author taoyuan
 * @date 2024/12/16
 * 场所码登陆相关
 */
@RestController
@RequestMapping("/technology")
public class SystemLoginController {

    @Autowired
    private SystemLoginService systemLoginService;

    /**
     * 登录
     * @param loginVo
     * @return AjaxResult
     */
    @PostMapping("/login")
    public AjaxResult<LoginResultVo> login(@RequestBody LoginVo loginVo){
        LoginResultVo loginMessage = null;
        loginMessage = systemLoginService.getLoginMessage(loginVo);
        return AjaxResult.success(loginMessage);
    }



}
