package com.technology.huahai.web.controller.csm;

import com.technology.huahai.common.core.controller.domain.AjaxResult;
import com.technology.huahai.web.dto.RzfDto;
import com.technology.huahai.web.service.CsmFormService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 场所码表单控制器
 * @author taoyuan
 * @date 2025/05/07
 * 场所码
 */
@RestController
@RequestMapping("/api/technology/form")
public class CsmFormController {

    @Autowired
    private CsmFormService csmFormService;

    /**
     * 保存日租房信息
     * @param rzfDto
     * @return
     */
    @PostMapping("/saveRzfInfo")
    public AjaxResult saveRzfInfo(@RequestBody RzfDto rzfDto){
        return csmFormService.saveRzfInfo(rzfDto);
    }

}
