package com.technology.huahai.web.service;

import com.technology.huahai.common.core.controller.domain.AjaxResult;
import com.technology.huahai.common.core.page.TableDataInfo;
import com.technology.huahai.web.dto.RzfDto;
import com.technology.huahai.web.dto.ScanRecordDto;
import com.technology.huahai.web.vo.*;

import java.net.UnknownHostException;
import java.util.List;

public interface CsmService {


    boolean realPersonAuthentication(RealPersonAuthenticationVo realPersonAuthenticationVo);

    void saveScanCodeRecord(ScanCodeRecordVo scanCodeRecordVo);

    TableDataInfo  getList(TechnologyQueryVo technologyQueryVo) throws UnknownHostException;

    TableDataInfo dropDownList(TechnologyQueryVo technologyQueryVo) throws UnknownHostException;

    AjaxResult generateTechnology(TechnologyGenerateVo technologyGenerateVo) throws UnknownHostException;

    AjaxResult getAdressByBzdzbm(QueryAdressVo queryAdressVo);

    String getAmapRegeo(GdQueryDzVo gdQueryDzVo);

    void generateFeedback(FeedbackVo feedbackVo);

    AjaxResult queryLevelByLevelId(QueryDdLevelVo queryDdLevelVo);

    TableDataInfo queryDdByLevelAndName(QueryDdLevelVo queryDdLevelVo);

    AjaxResult getAdressByDz(QueryAdressByDzVo queryAdressByDzVo);

    List<ScanRecordDto> queryScanRecord(QueryScanRecordVo queryScanRecordVo);
}
