package com.technology.huahai.web.vo;

import javax.validation.constraints.NotBlank;

public class FeedbackVo {

    /**
     * 类型 1申诉2反馈
     */
    @NotBlank(message = "类型必输")
    private String type;


    /**
     * 场所名称
     */
    @NotBlank(message = "场所名称必输")
    private String csmc;

    /**
     * 反馈人身份证号
     */
    private String fkrsfzh;

    /**
     * 反馈人姓名
     */
    private String fkrName;

    /**
     * 负责人姓名
     */
    private String fzrName;

    /**
     * 负责人联系电话
     */
    private String fzrLxdh;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 标准地址名称
     */
    @NotBlank(message = "标准地址名称必输")
    private String bzdzmc;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCsmc() {
        return csmc;
    }

    public void setCsmc(String csmc) {
        this.csmc = csmc;
    }


    public String getFkrsfzh() {
        return fkrsfzh;
    }

    public void setFkrsfzh(String fkrsfzh) {
        this.fkrsfzh = fkrsfzh;
    }

    public String getFkrName() {
        return fkrName;
    }

    public void setFkrName(String fkrName) {
        this.fkrName = fkrName;
    }

    public String getFzrName() {
        return fzrName;
    }

    public void setFzrName(String fzrName) {
        this.fzrName = fzrName;
    }

    public String getFzrLxdh() {
        return fzrLxdh;
    }

    public void setFzrLxdh(String fzrLxdh) {
        this.fzrLxdh = fzrLxdh;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getBzdzmc() {
        return bzdzmc;
    }

    public void setBzdzmc(String bzdzmc) {
        this.bzdzmc = bzdzmc;
    }
}
