package com.technology.huahai.common.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.connection.lettuce.LettuceConnectionFactory;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

@Component
public class RedisTemplateConfig extends RedisTemplate {

    @Autowired
    public RedisTemplateConfig(LettuceConnectionFactory connectionFactory) {
        setConnectionFactory(connectionFactory);
        afterPropertiesSet();
    }

    public void setCurrentDatabase(int database) {
        getConnectionFactory().getConnection().select(database);
    }

}
